<?php
include_once(PS_ADMIN_DIR.'/../classes/AdminTab.php');
include (dirname(__FILE__).'/PendingCustomer.php');

class AdminProCustomer extends AdminTab
{
	private $module = 'pro_customer';
	
	public function __construct()
	{
		
		global $cookie, $_LANGADM;
		
		$langFile = _PS_MODULE_DIR_.$this->module.'/'.Language::getIsoById(intval($cookie->id_lang)).'.php';
		if(file_exists($langFile))
		{
			require_once $langFile;
			foreach($_MODULE as $key=>$value)
			if(substr(strip_tags($key), 0, 5) == 'Admin')
			$_LANGADM[str_replace('_', '', strip_tags($key))] = $value;
		}

		$this->table = 'customer';
		$this->className = 'PendingCustomer';
		$this->lang = false;
		$this->edit = false;
		$this->view = true;
		$this->delete = false;
		$this->deleted = true;

		$this->_select = '
			(SELECT c.date_add FROM '._DB_PREFIX_.'guest g
			LEFT JOIN '._DB_PREFIX_.'connections c ON c.id_guest = g.id_guest
			WHERE g.id_customer = a.id_customer
			ORDER BY c.date_add DESC
			LIMIT 1) as connect,
			apc.is_approved AS is_approved,
			apc.is_approved AS id_approval,
			apc.privilege_request as privilege_request';
		$this->_join = '
			LEFT JOIN '._DB_PREFIX_.'pro_customer apc ON a.id_customer = apc.id_customer
		';
		
		$genders = array(1 => $this->l('M'), 2 => $this->l('F'), 9 => $this->l('?'));
		$this->fieldsDisplay = array(
		'id_customer' => array('title' => $this->l('ID'), 'align' => 'center', 'width' => 25),
		'id_gender' => array('title' => $this->l('Gender'), 'width' => 25, 'align' => 'center', 'icon' => array(1 => 'male.gif', 2 => 'female.gif', 'default' => 'unknown.gif'), 'orderby' => false, 'type' => 'select', 'select' => $genders, 'filter_key' => 'a!id_gender'),
		'lastname' => array('title' => $this->l('Last Name'), 'width' => 80),
		'firstname' => array('title' => $this->l('First name'), 'width' => 60),
		'email' => array('title' => $this->l('E-mail address'), 'width' => 120, 'maxlength' => 19),
		'date_add' => array('title' => $this->l('Registration'), 'width' => 60, 'type' => 'date'),
		'connect' => array('title' => $this->l('Connection'), 'width' => 60, 'type' => 'datetime', 'search' => false),
		'active' => array('title' => $this->l('Activated'), 'align' => 'center', 'active' => 'status', 'type' => 'bool'),
		/*'is_approved' => array('title' => $this->l('Approved'), 'align' => 'center', 'active' => 'status', 'type' => 'bool'),*/
		'id_approval' => array('title' => $this->l('Approval'), 'callback' => 'approvalCallback', 'orderby' => false, 'search' => false),
		'privilege_request' => array('title' => $this->l('Privileged'), 'callback' => 'privilegeCallback', 'orderby' => false, 'search' => false)
		);

		parent::__construct();
	}
	
	public function getList($id_lang, $orderBy = NULL, $orderWay = NULL, $start = 0, $limit = NULL)
	{
		global $cookie;
		return parent::getList(intval($cookie->id_lang), !Tools::getValue($this->table.'Orderby') ? 'is_approved' : NULL, !Tools::getValue($this->table.'Orderway') ? 'DESC' : NULL);
	}
	
	public function postProcess()
	{
		
		global $currentIndex;
		
		if (Tools::isSubmit('approve'.$this->table)){
			$id = intval(Tools::getValue('id_'.$this->table));
			if (isset($id) AND !empty($id)){
				if ($this->tabAccess['edit'] !== '1')
				$this->_errors[] = Tools::displayError($this->l('You do not have permission to edit anything here.'));
				else {
					require_once (dirname(__FILE__).'/pro_customer.php');
					require_once (dirname(__FILE__).'/ClassProCustomer.php');
					
					$ClassProCustomer = new ClassProCustomer ($id);
					$ClassProCustomer->is_approved = 1;
					$ClassProCustomer->send_email_approved = 1;
					if (!$ClassProCustomer->save())
					Tools::d('Error saving approval information');
					$custReg = new pro_customer ();
					$custReg->sendMail('customer_registration_ok', array('id_customer'=>$ClassProCustomer->id_customer));
				}	
			}
			if (Tools::isSubmit('back'))
			Tools::redirectAdmin(Tools::getValue('back'));
		}
		
		elseif (Tools::isSubmit('refuse'.$this->table)){
			$id = intval(Tools::getValue('id_'.$this->table));
			if (isset($id) AND !empty($id)){
				if ($this->tabAccess['edit'] !== '1')
				$this->_errors[] = Tools::displayError($this->l('You do not have permission to edit anything here.'));
				else {
					require_once (dirname(__FILE__).'/pro_customer.php');
					
					$customer = new Customer ($id);
					$customer->delete();
					Db::getInstance()->Execute('DELETE FROM `'._DB_PREFIX_.'pro_customer` WHERE `id_customer` = '.$id);
				}	
			}
		}
		
		if (Tools::isSubmit('approveprivilege'.$this->table)){
			$id = intval(Tools::getValue('id_'.$this->table));
			if (isset($id) AND !empty($id)){
				if ($this->tabAccess['edit'] !== '1')
				$this->_errors[] = Tools::displayError($this->l('You do not have permission to edit anything here.'));
				else {
					require_once (dirname(__FILE__).'/pro_customer.php');
					require_once (dirname(__FILE__).'/ClassProCustomer.php');
					
					$ClassProCustomer = new ClassProCustomer ($id);
					if ($ClassProCustomer->is_approved == 1) {
						$ClassProCustomer->privilege_request = 2;
						$ClassProCustomer->send_email_request = 1;
						$ClassProCustomer->save();
						$custReg = new pro_customer ();
						$customer = new Customer($ClassProCustomer->id_customer);
						$customer->cleanGroups();
						$customer->addGroups ($custReg->_defaultGroups);
						$idDefaultGroups = Configuration::get('CUSTREG_ID_GROUPS');
						$dbReturn = Db::getInstance()->ExecuteS('UPDATE `'._DB_PREFIX_.'customer` SET `id_default_group` = '.intval($idDefaultGroups).' WHERE `id_customer` = '.intval($id));
						$custReg->sendMail('customer_privilege_ok', array('id_customer'=>$ClassProCustomer->id_customer));
					} else {
						$this->_errors[] = Tools::displayError($this->l('You have already approved this client'));
					}
				}	
			}
			if (Tools::isSubmit('back'))
			Tools::redirectAdmin(Tools::getValue('back'));
		}
		
		elseif (Tools::isSubmit('refuseprivilege'.$this->table)){
			$id = intval(Tools::getValue('id_'.$this->table));
			if (isset($id) AND !empty($id)){
				if ($this->tabAccess['edit'] !== '1')
				$this->_errors[] = Tools::displayError($this->l('You do not have permission to edit anything here.'));
				else {
					require_once (dirname(__FILE__).'/pro_customer.php');
					require_once (dirname(__FILE__).'/ClassProCustomer.php');
					$ClassProCustomer = new ClassProCustomer ($id);
					if ($ClassProCustomer->is_approved == 1) {
						$ClassProCustomer->privilege_request = 3;
						$ClassProCustomer->send_email_request = 1;
						$ClassProCustomer->save();

						$custReg = new pro_customer ();		
						$custReg->sendMail('customer_privilege_refused', array('id_customer'=>$ClassProCustomer->id_customer));
					} else {
						$this->_errors[] = Tools::displayError($this->l('You have already approved this client'));
					}					
				}	
			}
			if (Tools::isSubmit('back'))
			Tools::redirectAdmin(Tools::getValue('back'));
		}

		if (Tools::isSubmit('submitPro'.$this->table)){
			$company = Tools::getValue('company'); 
			$privilege_message = Tools::getValue('privilege_message');
			if (empty($company)) 
			$this->_errors[] = Tools::displayError($this->l('Company is required'));
			elseif (empty($privilege_message))
			$this->_errors[] = Tools::displayError($this->l('ID is required'));
			else {
				$id = intval(Tools::getValue('id_'.$this->table));
				switch ($_POST['pro_request']) {
				case 0: /* refused */
					require_once (dirname(__FILE__).'/pro_customer.php');
					require_once (dirname(__FILE__).'/ClassProCustomer.php');
					
					$ClassProCustomer = new ClassProCustomer ($id);
					$ClassProCustomer->privilege_request = 3;
					$ClassProCustomer->is_approved = 1;
					$ClassProCustomer->company = Tools::getValue('company');
					$ClassProCustomer->number_type = Tools::getValue('number_type');
					$ClassProCustomer->privilege_message = Tools::getValue('privilege_message');
					$custReg = new pro_customer ();
					$customer = new Customer($ClassProCustomer->id_customer);
					$customer->cleanGroups();
					$defaultGroups[] = 1;
					$customer->addGroups ($defaultGroups);
					$idDefaultGroups = 1;
					$dbReturn = Db::getInstance()->ExecuteS('UPDATE `'._DB_PREFIX_.'customer` SET `id_default_group` = '.intval($idDefaultGroups).' WHERE `id_customer` = '.intval($id));

					if (Tools::getValue('resend_email')	== 1 OR $ClassProCustomer->send_email_request == 0) {
						$custReg->sendMail('customer_privilege_refused', array('id_customer'=>$ClassProCustomer->id_customer));
						$ClassProCustomer->send_email_request = 1;
					}
					$ClassProCustomer->save();
					break;
				case 1: /* granted */
					require_once (dirname(__FILE__).'/pro_customer.php');
					require_once (dirname(__FILE__).'/ClassProCustomer.php');
					
					$ClassProCustomer = new ClassProCustomer ($id);

					$ClassProCustomer->privilege_request = 2;
					$ClassProCustomer->is_approved = 1;
					$ClassProCustomer->company = Tools::getValue('company');
					$ClassProCustomer->number_type = Tools::getValue('number_type');
					$ClassProCustomer->privilege_message = Tools::getValue('privilege_message');
					$custReg = new pro_customer ();
					$customer = new Customer($ClassProCustomer->id_customer);
					$customer->cleanGroups();
					$customer->addGroups ($custReg->_defaultGroups);
					$idDefaultGroups = Configuration::get('CUSTREG_ID_GROUPS');
					$dbReturn = Db::getInstance()->ExecuteS('UPDATE `'._DB_PREFIX_.'customer` SET `id_default_group` = '.intval($idDefaultGroups).' WHERE `id_customer` = '.intval($id));
					if (Tools::getValue('resend_email')	== 1 OR $ClassProCustomer->send_email_request == 0) {
						$custReg->sendMail('customer_privilege_ok', array('id_customer'=>$ClassProCustomer->id_customer));
						$ClassProCustomer->send_email_request = 1;
					}
					$ClassProCustomer->save();
					break;
				default: /* unknown */	
				}
			} 
			if(!$this->_errors) 
			Tools::redirectAdmin($currentIndex.'&id_customer='.$id.'&viewcustomer&token='.$this->token);
		}
		return parent::postProcess();
	}

	public function viewcustomer()
	{
		global $currentIndex, $cookie;

		$irow = 0;
		$configurations = Configuration::getMultiple(array('PS_LANG_DEFAULT', 'PS_CURRENCY_DEFAULT'));
		$defaultLanguage = intval($configurations['PS_LANG_DEFAULT']);
		$defaultCurrency = intval($configurations['PS_CURRENCY_DEFAULT']);
		$customer = $this->loadObject();
		$customerStats = $customer->getStats();
		$addresses = $customer->getAddresses($defaultLanguage);
		$discounts = Discount::getCustomerDiscounts($defaultLanguage, $customer->id, false, false);
		$orders = Order::getCustomerOrders($customer->id);
		$carts = Cart::getCustomerCarts($customer->id);
		$groups = $customer->getGroups();
		$referrers = Referrer::getReferrers($customer->id);
		$tokenCustomers = Tools::getAdminToken('AdminCustomers'.intval(Tab::getIdFromClassName('AdminCustomers')).intval($cookie->id_employee));
		
		echo '<div><a href="'.$currentIndex.'&token='.$this->token.'"><img src="../img/admin/arrow2.gif" /> '.$this->l('Back to customer list').'</a></div><br/>';

		echo '
		<div style="float: left">
		<fieldset style="width: 400px"><div style="float: right"><a href="?tab=AdminCustomers&addcustomer&id_customer='.$customer->id.'&token='.$tokenCustomers.'"><img src="../img/admin/edit.gif" /></a></div>
			<span style="font-weight: bold; font-size: 14px;">'.$customer->firstname.' '.$customer->lastname.'</span>
			<img src="../img/admin/'.($customer->id_gender == 2 ? 'female' : ($customer->id_gender == 1 ? 'male' : 'unknown')).'.gif" style="margin-bottom: 5px" /><br />
			<a href="mailto:'.$customer->email.'" style="text-decoration: underline; color: blue">'.$customer->email.'</a><br /><br />
			'.$this->l('ID:').' '.sprintf('%06d', $customer->id).'<br />
			'.$this->l('Registration date:').' '.Tools::displayDate($customer->date_add, intval($cookie->id_lang), true).'<br />
			'.$this->l('Last visit:').' '.($customerStats['last_visit'] ? Tools::displayDate($customerStats['last_visit'], intval($cookie->id_lang), true) : $this->l('never')).'
		</fieldset>
		</div>
		<div style="float: left; margin-left: 50px">
		<fieldset style="width: 300px"><div style="float: right"><a href="?tab=AdminCustomers&addcustomer&id_customer='.$customer->id.'&token='.$tokenCustomers.'"><img src="../img/admin/edit.gif" /></a></div>
			'.$this->l('Newsletter:').' '.($customer->newsletter ? '<img src="../img/admin/enabled.gif" />' : '<img src="../img/admin/disabled.gif" />').'<br />
			'.$this->l('Opt-in:').' '.($customer->optin ? '<img src="../img/admin/enabled.gif" />' : '<img src="../img/admin/disabled.gif" />').'<br />
			'.$this->l('Age:').' '.$customerStats['age'].' '.((!empty($customer->birthday['age'])) ? '('.Tools::displayDate($customer->birthday, intval($cookie->id_lang)).')' : $this->l('unknown')).'<br /><br />
			'.$this->l('Last update:').' '.Tools::displayDate($customer->date_upd, intval($cookie->id_lang), true).'<br />
			'.$this->l('Status:').' '.($customer->active ? '<img src="../img/admin/enabled.gif" />' : '<img src="../img/admin/disabled.gif" />').'
		</fieldset>
		</div>
		<div class="clear">&nbsp;</div>';

		// display hook specified to this page : AdminCustomers
		if (($hook = Module::hookExec('adminCustomers', array('id_customer' => $customer->id))) !== false)
		echo '<div>'.$hook.'</div>';

		echo '<h2>'.$this->l('Groups').' ('.sizeof($groups).')</h2>';
		if ($groups AND sizeof($groups))
		{
			echo '
			<table cellspacing="0" cellpadding="0" class="table">
				<tr>
					<th class="center">'.$this->l('ID').'</th>
					<th class="center">'.$this->l('Name').'</th>
					<th class="center">'.$this->l('Actions').'</th>
				</tr>';
			$tokenGroups = Tools::getAdminToken('AdminGroups'.intval(Tab::getIdFromClassName('AdminGroups')).intval($cookie->id_employee));
			foreach ($groups AS $group)
			{
				$objGroup = new Group($group);
				echo '
				<tr '.($irow++ % 2 ? 'class="alt_row"' : '').' style="cursor: pointer" onclick="document.location = \'?tab=AdminGroups&id_group='.$objGroup->id.'&viewgroup&token='.$tokenGroups.'\'">
					<td class="center">'.$objGroup->id.'</td>
					<td>'.$objGroup->name[$defaultLanguage].'</td>
					<td align="center"><a href="?tab=AdminGroups&id_group='.$objGroup->id.'&viewgroup&token='.$tokenGroups.'"><img src="../img/admin/details.gif" /></a></td>
				</tr>';
			}
			echo '
			</table>';
		}
		echo '<div class="clear">&nbsp;</div>';
		echo '<h2>'.$this->l('Orders').' ('.sizeof($orders).')</h2>';
		if ($orders AND sizeof($orders))
		{
			echo '
			<table cellspacing="0" cellpadding="0" class="table">
				<tr>
					<th class="center">'.$this->l('ID').'</th>
					<th class="center">'.$this->l('Date').'</th>
					<th class="center">'.$this->l('Quantity').'</th>
					<th class="center">'.$this->l('Total').'</th>
					<th class="center">'.$this->l('Payment').'</th>
					<th class="center">'.$this->l('State').'</th>
					<th class="center">'.$this->l('Actions').'</th>
				</tr>';
			$tokenOrders = Tools::getAdminToken('AdminOrders'.intval(Tab::getIdFromClassName('AdminOrders')).intval($cookie->id_employee));
			foreach ($orders AS $order)
			echo '
				<tr '.($irow++ % 2 ? 'class="alt_row"' : '').' style="cursor: pointer" onclick="document.location = \'?tab=AdminOrders&id_order='.$order['id_order'].'&vieworder&token='.$tokenOrders.'\'">
					<td class="center">'.sprintf('%06d', $order['id_order']).'</td>
					<td>'.Tools::displayDate($order['date_add'], intval($cookie->id_lang), true).'</td>
					<td align="right">'.$order['nb_products'].'</td>
					<td align="right">'.Tools::displayPrice($order['total_paid'], new Currency(intval($order['id_currency']))).'</td>
					<td>'.$order['payment'].'</td>
					<td>'.$order['order_state'].'</td>
					<td align="center"><a href="?tab=AdminOrders&id_order='.$order['id_order'].'&vieworder&token='.$tokenOrders.'"><img src="../img/admin/details.gif" /></a></td>
				</tr>';
			echo '
			</table>';
		}
		else
		echo $customer->firstname.' '.$customer->lastname.' '.$this->l('has placed no orders yet');
		echo '<div class="clear">&nbsp;</div>
		<h2>'.$this->l('Addresses').' ('.sizeof($addresses).')</h2>';
		if (sizeof($addresses))
		{
			echo '
			<table cellspacing="0" cellpadding="0" class="table">
				<tr>
					<th>'.$this->l('Company').'</th>
					<th>'.$this->l('Name').'</th>
					<th>'.$this->l('Address').'</th>
					<th>'.$this->l('Country').'</th>
					<th>'.$this->l('Phone number(s)').'</th>
					<th>'.$this->l('Actions').'</th>
				</tr>';
			$tokenAddresses = Tools::getAdminToken('AdminAddresses'.intval(Tab::getIdFromClassName('AdminAddresses')).intval($cookie->id_employee));
			foreach ($addresses AS $address)
			echo '
				<tr '.($irow++ % 2 ? 'class="alt_row"' : '').'>
					<td>'.($address['company'] ? $address['company'] : '--').'</td>
					<td>'.$address['firstname'].' '.$address['lastname'].'</td>
					<td>'.$address['address1'].($address['address2'] ? ' '.$address['address2'] : '').' '.$address['postcode'].' '.$address['city'].'</td>
					<td>'.$address['country'].'</td>
					<td>'.($address['phone'] ? ($address['phone'].($address['phone_mobile'] ? '<br />'.$address['phone_mobile'] : '')) : ($address['phone_mobile'] ? '<br />'.$address['phone_mobile'] : '--')).'</td>
					<td align="center">
						<a href="?tab=AdminAddresses&id_address='.$address['id_address'].'&addaddress&token='.$tokenAddresses.'"><img src="../img/admin/edit.gif" /></a>
						<a href="?tab=AdminAddresses&id_address='.$address['id_address'].'&deleteaddress&token='.$tokenAddresses.'"><img src="../img/admin/delete.gif" /></a>
					</td>
				</tr>';
			echo '
			</table>';
		}
		else
		echo $customer->firstname.' '.$customer->lastname.' '.$this->l('has registered no addresses yet').'.';
		echo '<div class="clear">&nbsp;</div>
		<h2>'.$this->l('Discounts').' ('.sizeof($discounts).')</h2>';
		if (sizeof($discounts))
		{
			echo '
			<table cellspacing="0" cellpadding="0" class="table">
				<tr>
					<th>'.$this->l('ID').'</th>
					<th>'.$this->l('Code').'</th>
					<th>'.$this->l('Type').'</th>
					<th>'.$this->l('Value').'</th>
					<th>'.$this->l('Qty available').'</th>
					<th>'.$this->l('Status').'</th>
					<th>'.$this->l('Actions').'</th>
				</tr>';
			$tokenDiscounts = Tools::getAdminToken('AdminDiscounts'.intval(Tab::getIdFromClassName('AdminDiscounts')).intval($cookie->id_employee));
			foreach ($discounts AS $discount)
			{
				echo '
				<tr '.($irow++ % 2 ? 'class="alt_row"' : '').'>
					<td align="center">'.$discount['id_discount'].'</td>
					<td>'.$discount['name'].'</td>
					<td>'.$discount['type'].'</td>
					<td align="right">'.$discount['value'].'</td>
					<td align="center">'.$discount['quantity_for_user'].'</td>
					<td align="center"><img src="../img/admin/'.($discount['active'] ? 'enabled.gif' : 'disabled.gif').'" alt="'.$this->l('Status').'" title="'.$this->l('Status').'" /></td>
					<td align="center">
						<a href="?tab=AdminDiscounts&id_discount='.$discount['id_discount'].'&adddiscount&token='.$tokenDiscounts.'"><img src="../img/admin/edit.gif" /></a>
						<a href="?tab=AdminDiscounts&id_discount='.$discount['id_discount'].'&deletediscount&token='.$tokenDiscounts.'"><img src="../img/admin/delete.gif" /></a>
					</td>
				</tr>';
			}
			echo '
			</table>';

		}
		else
		echo $customer->firstname.' '.$customer->lastname.' '.$this->l('has no discount vouchers').'.';
		echo '<div class="clear">&nbsp;</div>';
		
		echo '<h2>'.$this->l('Carts').' ('.sizeof($carts).')</h2>';
		if ($carts AND sizeof($carts))
		{
			echo '
			<table cellspacing="0" cellpadding="0" class="table">
				<tr>
					<th class="center">'.$this->l('ID').'</th>
					<th class="center">'.$this->l('Date').'</th>
					<th class="center">'.$this->l('Total').'</th>
					<th class="center">'.$this->l('Carrier').'</th>
					<th class="center">'.$this->l('Actions').'</th>
				</tr>';
			$tokenCarts = Tools::getAdminToken('AdminCarts'.intval(Tab::getIdFromClassName('AdminCarts')).intval($cookie->id_employee));
			foreach ($carts AS $cart)
			{
				$cartI = new Cart(intval($cart['id_cart']));
				$summary = $cartI->getSummaryDetails();
				$currency = new Currency(intval($cart['id_currency']));
				$carrier = new Carrier(intval($cart['id_carrier']));
				echo '
				<tr '.($irow++ % 2 ? 'class="alt_row"' : '').' style="cursor: pointer" onclick="document.location = \'?tab=AdminCarts&id_cart='.$cart['id_cart'].'&viewcart&token='.$tokenCarts.'\'">
					<td class="center">'.sprintf('%06d', $cart['id_cart']).'</td>
					<td>'.Tools::displayDate($cart['date_add'], intval($cookie->id_lang), true).'</td>
					<td align="right">'.Tools::displayPrice($summary['total_price'], $currency).'</td>
					<td>'.$carrier->name.'</td>
					<td align="center"><a href="?tab=AdminCarts&id_cart='.$cart['id_cart'].'&viewcart&token='.$tokenCarts.'"><img src="../img/admin/details.gif" /></a></td>
				</tr>';
			}
			echo '
			</table>';
		}
		else
		echo $this->l('No cart available').'.';
		echo '<div class="clear">&nbsp;</div>';

		/* Last connections */
		$connections = $customer->getLastConnections();
		if (sizeof($connections))    
		{
			echo '<h2>'.$this->l('Last connections').'</h2>
			<table cellspacing="0" cellpadding="0" class="table">
				<tr>
					<th style="width: 200px">'.$this->l('Date').'</th>
					<th style="width: 100px">'.$this->l('Pages viewed').'</th>
					<th style="width: 100px">'.$this->l('Total time').'</th>
					<th style="width: 100px">'.$this->l('Origin').'</th>
					<th style="width: 100px">'.$this->l('IP Address').'</th>
				</tr>';
			foreach ($connections as $connection)
			echo '<tr>
						<td>'.Tools::displayDate($connection['date_add'], intval($cookie->id_lang), true).'</td>
						<td>'.intval($connection['pages']).'</td>
						<td>'.$connection['time'].'</td>
						<td>'.($connection['http_referer'] ? preg_replace('/^www./', '', parse_url($connection['http_referer'], PHP_URL_HOST)) : $this->l('Direct link')).'</td>
						<td>'.$connection['ipaddress'].'</td>
					</tr>';
			echo '</table><div class="clear">&nbsp;</div>';
		}
		if (sizeof($referrers))    
		{
			echo '<h2>'.$this->l('Referrers').'</h2>
			<table cellspacing="0" cellpadding="0" class="table">
				<tr>
					<th style="width: 200px">'.$this->l('Date').'</th>
					<th style="width: 200px">'.$this->l('Name').'</th>
				</tr>';
			foreach ($referrers as $referrer)
			echo '<tr>
						<td>'.Tools::displayDate($referrer['date_add'], intval($cookie->id_lang), true).'</td>
						<td>'.$referrer['name'].'</td>
					</tr>';
			echo '</table><div class="clear">&nbsp;</div>';
		}
		echo '<a href="'.$currentIndex.'&token='.$this->token.'"><img src="../img/admin/arrow2.gif" /> '.$this->l('Back to customer list').'</a><br />';
	}
	public function displayForm()
	{
		require_once (dirname(__FILE__).'/ClassProCustomer.php');
		
		global $currentIndex, $back, $linkForm;
		
		$id = intval(Tools::getValue('id_'.$this->table));
		$obj = $this->loadObject(true);
		$defaultLanguage = intval(Configuration::get('PS_LANG_DEFAULT'));
		$approvalInfos = ClassProCustomer::getPrivilegeRequest ($id);
		if (isset($approvalInfos['privilege_message']) AND  $approvalInfos['privilege_message'] <> '') {
			switch ($approvalInfos['number_type']) {
			case 0: /* siret number */
				$approvalSiret = ClassProCustomer::isSiret(ClassProCustomer::onlyNumeric($approvalInfos['privilege_message']));
				break;
			case 1: /* siren number */
				$approvalSiret = ClassProCustomer::isSiren(ClassProCustomer::onlyNumeric($approvalInfos['privilege_message']));
				break;
			case 2: /* vat number */
				$approvalSiret = ClassProCustomer::isVatNumber($approvalInfos['privilege_message']);
			default:
			}	
		}
		echo '
		<form action="'.$currentIndex.'&addcustomer&id_customer='.$id.'&token='.$this->token.'" method="post" class="width3">
		'.($id ? '<input type="hidden" name="id_'.$this->table.'" value="'.$id.'" />' : '').'
			<fieldset><legend><img src="../img/admin/tab-customers.gif" />'.$this->l('Access Pro').'</legend>
				<label>'.$this->l('Status:').' </label>
				<div class="margin-form">
					<input type="radio" name="pro_request" id="pro_request_on" value="1" '.(($approvalInfos['privilege_request'] == 2) ? 'checked="checked" ' : '').'/>
					<label class="t" for="active_on"><img src="../img/admin/enabled.gif" alt="'.$this->l('Enabled').'" title="'.$this->l('Enabled').'" /></label>
					<input type="radio" name="pro_request" id="pro_request_off" value="0" '.(($approvalInfos['privilege_request'] == 3) ? 'checked="checked" ' : '').'/>
					<label class="t" for="active_off"><img src="../img/admin/disabled.gif" alt="'.$this->l('Disabled').'" title="'.$this->l('Disabled').'" /></label>
					<p>'.$this->l('Allow or disallow this customer to Pro access').'</p>
				</div>
				<label>'.$this->l('Company').' </label>
				<div class="margin-form">
				<input type="text" name="company" style="width:200px;" value="'.$approvalInfos['company'].'" /> <sup>*</sup>
				</div>
				<label>'.$this->l('Type:').' </label>
				<div class="margin-form">
					<select id="number_type" name="number_type" style="width:210px;">
						<option value="0" '.(($approvalInfos['number_type'] == 0) ? 'selected="selected"' : '').'>'.$this->l('SIRET Number').'</option>
						<option value="1" '.(($approvalInfos['number_type'] == 1) ? 'selected="selected"' : '').'>'.$this->l('SIREN Number').'</option>
						<option value="2" '.(($approvalInfos['number_type'] == 2) ? 'selected="selected"' : '').'>'.$this->l('VAT Number').'</option>
						</select>
				</div>
				<label>'.$this->l('Value:').' </label>		
				<div class="margin-form">';
		if (!isset($approvalInfos['privilege_message']) OR  $approvalInfos['privilege_message'] == '') {
			echo '<input id="privilege_message" type="text" name="privilege_message" style="width:200px;" value="'.$approvalInfos['privilege_message'].'" /> <sup>*</sup>';
		} else {
			echo '<input id="privilege_message" type="text" name="privilege_message" style="width:200px;" value="'.$approvalInfos['privilege_message'].'" /> <sup>*</sup> '.($approvalSiret == 0 ? '<img src="../img/admin/enabled.gif" />' : '<img src="../img/admin/disabled.gif" />');
		}
		echo '</div><div class="margin-form"><p>'.$this->l('Send Email').' : '.($approvalInfos['send_email_request'] ?$this->l('YES') :$this->l('NO')).'</p></div>
				<label>'.$this->l('Resend email ?').' </label>
				<div class="margin-form">
				<input type="checkbox" name="resend_email" id="resend_email" value="1" />
				</div>
				<div class="margin-form">
					<input type="submit" value="'.$this->l('   Save   ').'" name="submitPro'.$this->table.'" class="button" />
				</div>
				<div class="small"><sup>*</sup> '.$this->l('Required field').'</div>
			</fieldset>
		</form>';
	}


	public function beforeDelete($object)
	{
		return $object->isUsed();
	}
}

?>
